Package org.eclipse.emf.cdo.lm.client

# Class ISystemDescriptor.ModuleDeletionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.emf.cdo.common.util.CDOException
org.eclipse.emf.cdo.lm.client.ISystemDescriptor.ModuleDeletionException

All Implemented Interfaces:
  `Serializable`

Enclosing interface:
  `ISystemDescriptor`

public static final class ISystemDescriptor.ModuleDeletionException extends CDOException

Author:
  Eike Stepper
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ModuleDeletionException(String deletedModuleName, List<CDOObjectReference> references)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ModuleDeletionException

public ModuleDeletionException(String deletedModuleName, List<CDOObjectReference> references)